package com.cloudcross.ssp.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.model.PlaceClass;

/**
 * 数聚场景和其子场景对应关系服务接口
 * @author chenyou
 *
 */
public interface IPlaceClassService extends IGenericService<PlaceClass> {
	/**
	 * 根据数聚子场景id删除它和数聚场景的对应关系
	 * @param place_id
	 * @return
	 */
	boolean deletePlaceClass(Long placeId);
	public List<Long> queryPlaceIdByClassId(Long classId);
	
	/**
	 * 找出所有的数聚场景和数聚子场景的对应关系
	 * @return
	 */
	List<PlaceClass> findAll();
	
	public List<Long> queryPlaceIdByCondition(Map<String,Object>condition);
}
